Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024662
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-09-02 13:382013-10-18 12:55
ReporteregoitzView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Version3.0MP29
StatusclosedFix in branchFixed in SCM revision77b44aa868e8
ProjectionnoneETAnoneTarget Version3.0MP29
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024662: When selecting a row on a pickandExecute a query to get the data selected is done

DescriptionWhen selecting a row on a pickandExecute a query to get the data selected is done.The select is not needed because you already have the data on the grid.
Steps To Reproduce-Activate the log of postgresql to show queries that take more than 10ms
-Open the REturn from customer window
-Create a new row and save
-click on the pick and execute button
-The grid is shown
*See on the log the query executed
-Then select one row
*See on the log that a similar query filtered by the row selected is done

This happens becuase the request is done with action NEW but also including the rowId.
TagsPerformance
Attached Filesdiff file icon issue-24662.diff [^] (1,009 bytes) 2013-09-26 16:08 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0061419)
alostale (developer)
2013-09-26 16:02

When a row is selected FIC is called in NEW mode, this is correct and it is done to calculate defaults, callouts, combos, etc. In this case record id is passed as parameter and used to retrieve current element, for which we already have information in the client side.

In general retrieving current record by ID shouldn't be expensive, but in this case datasource is based in a view which has a perfomance impact.

Attached patch does not send id so FIC doesn't queries for current value.
(0061422)
alostale (developer)
2013-09-26 16:08

Attached patch for this issue, push scheduled for mp29
(0061720)
hgbot (developer)
2013-10-16 17:42

Repository: erp/devel/pi
Changeset: 77b44aa868e8e9b6ca315d62e8ef69c7c8465203
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Oct 16 21:11:45 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/77b44aa868e8e9b6ca315d62e8ef69c7c8465203 [^]

Fixes Issue 0024662: When selecting a row on a pickandExecute a query to get the data selected is done

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0061777)
hudsonbot (developer)
2013-10-17 18:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/121b38a3673a [^]

Maturity status: Test
(0061802)
AugustoMauch (developer)
2013-10-18 12:55

Code reviewed and verified in pi@eb0f3ecbdae4

- Issue History
Date Modified Username Field Change
2013-09-02 13:38 egoitz New Issue
2013-09-02 13:38 egoitz Assigned To => AugustoMauch
2013-09-02 13:38 egoitz Modules => Core
2013-09-02 13:38 egoitz Triggers an Emergency Pack => No
2013-09-02 13:38 egoitz Tag Attached: Performance
2013-09-03 11:10 egoitz Target Version => 3.0MP28
2013-09-23 06:55 shankarb Assigned To AugustoMauch => shankarb
2013-09-25 13:30 alostale Assigned To shankarb => alostale
2013-09-26 16:02 alostale Note Added: 0061419
2013-09-26 16:08 alostale File Added: issue-24662.diff
2013-09-26 16:08 alostale Note Added: 0061422
2013-09-26 16:08 alostale Status new => scheduled
2013-09-26 16:08 alostale Target Version 3.0MP28 => 3.0MP29
2013-09-30 12:00 alostale Review Assigned To => shankarb
2013-10-16 17:40 shankarb Review Assigned To shankarb => AugustoMauch
2013-10-16 17:40 shankarb Issue Monitored: AugustoMauch
2013-10-16 17:42 hgbot Checkin
2013-10-16 17:42 hgbot Note Added: 0061720
2013-10-16 17:42 hgbot Status scheduled => resolved
2013-10-16 17:42 hgbot Resolution open => fixed
2013-10-16 17:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/77b44aa868e8e9b6ca315d62e8ef69c7c8465203 [^]
2013-10-17 18:21 hudsonbot Checkin
2013-10-17 18:21 hudsonbot Note Added: 0061777
2013-10-18 12:55 AugustoMauch Note Added: 0061802
2013-10-18 12:55 AugustoMauch Status resolved => closed
2013-10-18 12:55 AugustoMauch Fixed in Version => 3.0MP29


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker